Subject: Re: bug#39015: `isearch-complete1' should use `completion-at-point' or `completion-in-region'

From: Juri Linkov <[email-masked]>
Date: Mon, 20 Jan 2020 02:27:06 +0200

> Not sure why in the first place `isearch-complete1' uses some custom
> auto-completion implementation that is different from a conventional
> solution, perhaps historical reasons.  Thus, I believe that reusing either
> `completion-at-point' or `completion-in-region' to implement that
> functionality is much better in the long run.  This would also allow
> packages, which customize completion behavior, to hook into `isearch'
> auto-completion as well.  See also [1] for example.
>
> [1] https://github.com/abo-abo/swiper/issues/1882

Based on this solution
https://lists.gnu.org/archive/html/emacs-devel/2020-01/msg00447.html
it should be possible to write a patch that would hook into `isearch'
auto-completion.  I seems I can't do this since I don't understand
how to test it.